package com.bonus.zlpt.company.mapper;

import com.bonus.zlpt.company.api.domain.dto.FileInfoDto;
import com.bonus.zlpt.company.api.domain.dto.ServiceDto;
import com.bonus.zlpt.company.api.domain.dto.ServiceGreementDto;
import com.bonus.zlpt.company.api.domain.vo.ServiceGreementVo;

import java.util.List;

/**
 * 服务协议表(ServiceGreementInfo)表数据库访问层
 *
 * @author makejava
 * @since 2023-12-04 16:32:02
 */
public interface ServiceGreementInfoMapper {

    /**
     * 获取隐私协议模板列表
     * @param dto
     * @return
     */
    List<ServiceGreementVo> selectGreementInfoList(ServiceDto dto);

    /**
     * 根据id查询隐私协议模板信息
     * @param id
     * @return
     */
    ServiceGreementVo selectListById(int id);

    /**
     * 新增隐私协议模板信息
     * @param dto
     * @return
     */
    int insertConfig(ServiceGreementDto dto);

    /**
     * 新增协议url路径
     * @param dto
     * @return
     */
    int insertAttachment(FileInfoDto dto);

    /**
     * 编辑隐私协议模板信息
     * @param serviceGreementDto
     * @return
     */
    int update(ServiceGreementDto serviceGreementDto);

    /**
     * 修改协议url路径
     * @param fileInfoDto
     * @return
     */
    int updateAttachment(FileInfoDto fileInfoDto);

    /**
     * 根据id删除隐私协议模板
     * @param id
     * @return
     */
    void delete(int id);

    /**
     * 根据id删除隐私协议模板
     * @param id
     * @return
     */
    void deleteById(int id);

}

